<?php

if (!function_exists('add_action')) {
    exit;
}

if (empty($_POST)) {
    return false;
}

$url = 'http://pm.pr-gateway.de/WPPluginajaxPost.php';
if (!empty($_POST['image'])) {
    $_POST['image'] = '@' . $_POST['image'];
}

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $_POST);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$result = curl_exec($ch);
curl_close($ch);

global $wpdb;

$resultObj = json_decode($result, true);
$check_m_id = $resultObj['message_id'];
$check_error = $resultObj['error'];

if (($check_error == '') && ($check_m_id != '') && is_numeric($check_m_id)) {
    $sqlCheckIsset = $wpdb->prepare("SELECT `id` FROM `prg_connect_sent` WHERE `wpid` = %d", $_POST['blogid']);
    $issetVar = $wpdb->get_var($sqlCheckIsset);
    if (!$issetVar) {
        $wpdb->insert('prg_connect_sent', array('wpid' => $_POST['blogid'], 'prgsent' => 1));
    } else {
        $wpdb->update('prg_connect_sent', array('wpid' => $_POST['blogid'], 'prgsent' => 1), array('wpid' => $_POST['blogid']));
    }
}

$sqlSaveUser = $wpdb->prepare("UPDATE `prg_connect_config`
				SET
				`presse` = %s,
				`fname` = %s,
				`lname` = %s,
				`address` = %s,
				`pc` = %s,
				`city` = %s,
				`phone` = %s,
				`email` = %s,
				`www` = %s
				WHERE `author_id` = %d", 
        $_POST['prg_presse'], 
        $_POST['prg_fname2'], 
        $_POST['prg_lname2'], 
        $_POST['prg_address2'], 
        $_POST['prg_pc2'], 
        $_POST['prg_city2'], 
        $_POST['prg_phone2'], 
        $_POST['prg_email2'], 
        $_POST['prg_www2'], 
        $currentUserID);

$wpdb->query($sqlSaveUser);

echo $result;
