<?php
if (!function_exists('add_action')) {
    echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
    exit;
}
require_once dirname(__FILE__) . '/../Controller/getTwitterWarrant.php';
require_once dirname(__FILE__) . '/../Controller/getFacebookWarrant.php';
require_once dirname(__FILE__) . '/../Controller/getLinkedinWarrant.php';
//require_once dirname(__FILE__) . '/../Controller/getGoogleplusWarrant.php';
require_once dirname(__FILE__) . '/../Controller/getTumblrWarrant.php';
$prgTwitterConnect = new PRGTwitterConnect();
$prgFacebookConnect = new PRGFacebookConnect();
$prgLinkedinConnect = new PRGLinkedinConnect();
//$prgGoogleplusConnect = new PRGGoogleplusConnect();
$prgTumblrConnect = new PRGTumblrConnect();
$currentUserID = get_current_user_id();

global $wpdb;

$sqlUserData = $wpdb->prepare("SELECT `UserBlogToken`,`lang` FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$savedUser = $wpdb->get_row($sqlUserData);

if (isset($_SESSION['prg_id'])) {
    $credsTwitter = json_decode($prgTwitterConnect->verifyCredentialsTwitter($_SESSION['prg_id']));
    if (isset($credsTwitter->name)) {
        $twitterName = $credsTwitter->name;
    } else {
        $credsTwitterSecond = json_decode($prgTwitterConnect->verifyCredentialsTwitter($savedUser->UserBlogToken));
        if (isset($credsTwitterSecond->name)) {
            $twitterName = $credsTwitterSecond->name;
        } else {
            $twitterName = '';
        }
    }

    $credsFacebook = json_decode($prgFacebookConnect->verifyCredentialsFacebook($_SESSION['prg_id']));
    if (isset($credsFacebook->name)) {
        $facebookName = $credsFacebook->name;
    } else {
        $credsFacebookSecond = json_decode($prgFacebookConnect->verifyCredentialsFacebook($savedUser->UserBlogToken));
        if (isset($credsFacebookSecond->name)) {
            $facebookName = $credsFacebookSecond->name;
        } else {
            $facebookName = '';
        }
    }

    $credsTumblr = json_decode($prgTumblrConnect->verifyCredentialsTumblr($_SESSION['prg_id']));
    if (isset($credsTumblr->response->user->name)) {
        $tumblrName = $credsTumblr->response->user->name;
    } else {
        $credsTumblrSecond = json_decode($prgTumblrConnect->verifyCredentialsTumblr($savedUser->UserBlogToken));
        if (isset($credsTumblrSecond->response->user->name)) {
            $tumblrName = $credsTumblrSecond->response->user->name;
        } else {
            $tumblrName = '';
        }
    }

    $credsLinkedin = json_decode($prgLinkedinConnect->verifyCredentialsLinkedin($_SESSION['prg_id']));
    if (isset($credsLinkedin->{'first-name'})) {
        $linkedinName = $credsLinkedin->{'first-name'} . ' ' . $credsLinkedin->{'last-name'};
    } else {
        $credsLinkedinSecond = json_decode($prgLinkedinConnect->verifyCredentialsLinkedin($savedUser->UserBlogToken));
        if (isset($credsLinkedinSecond->{'first-name'})) {
            $linkedinName = $credsLinkedinSecond->{'first-name'} . ' ' . $credsLinkedinSecond->{'last-name'};
        } else {
            $linkedinName = '';
        }
    }
//	$credsGoogleplus = $prgGoogleplusConnect->verifyCredentialsGoogleplus($_SESSION['prg_id']);
//	if (!empty($credsGoogleplus)) {
//		$googleplusName = $credsGoogleplus;
//	} else {
//		$credsGoogleplusSecond = $prgGoogleplusConnect->verifyCredentialsGoogleplus($savedUser->UserBlogToken);
//		if (!empty($credsGoogleplusSecond)) {
//			$googleplusName = $credsGoogleplusSecond;
//		} else {
//			$googleplusName = '';
//		}
//	}
} elseif (!empty($savedUser->UserBlogToken)) {
    $credsTwitter = json_decode($prgTwitterConnect->verifyCredentialsTwitter($savedUser->UserBlogToken));
    if (isset($credsTwitter->name)) {
        $twitterName = $credsTwitter->name;
    } else {
        $twitterName = '';
    }

    $credsFacebook = json_decode($prgFacebookConnect->verifyCredentialsFacebook($savedUser->UserBlogToken));
    if (isset($credsFacebook->name)) {
        $facebookName = $credsFacebook->name;
    } else {
        $facebookName = '';
    }

    $credsTumblr = json_decode($prgTumblrConnect->verifyCredentialsTumblr($savedUser->UserBlogToken));
    if (isset($credsTumblr->response->user->name)) {
        $tumblrName = $credsTumblr->response->user->name;
    } else {
        $tumblrName = '';
    }

    $credsLinkedin = json_decode($prgLinkedinConnect->verifyCredentialsLinkedin($savedUser->UserBlogToken));
    if (isset($credsLinkedin->{'first-name'})) {
        $linkedinName = $credsLinkedin->{'first-name'} . ' ' . $credsLinkedin->{'last-name'};
    } else {
        $linkedinName = '';
    }

//	$credsGoogleplus = $prgGoogleplusConnect->verifyCredentialsGoogleplus($savedUser->UserBlogToken);
//	if (!empty($credsGoogleplus)) {
//		$googleplusName = $credsGoogleplus;
//	} else {
//		$googleplusName = '';
//	}
}

if ($savedUser->lang == 'de') {
    include dirname(__FILE__) . '/../languages/de.php';
} elseif ($savedUser->lang == 'en') {
    include dirname(__FILE__) . '/../languages/en.php';
}

if ($_GET['status'] == 'false') {
    echo '<script>alert("' . $text['Bitte mindestens ein soziales Netzwerk verbinden um Nachrichten zu veröffentlichen'] . '")</script>';
}
?>
<div id="prgLogo">
    <a target="_blank" href="http://www.pr-gateway.de">
        <img id="imgLarge" src="<?php echo plugins_url('/images/pr-gateway_large1.png', dirname(__FILE__)); ?>">
    </a>
</div>
<div class="pull-right">
    <button id="configFBBtn" type="button" class="pull-right btn btn-info" onclick="window.open('http://www.pr-gateway.de/wpplugin/feedbackformular.php?lang=<?php echo $text['aktiveSprache']; ?>', 'Social Connect Feedback', 'width=650,height=500,scrollbars=yes,toolbar=no,status=no,resizable=no,menubar=no,location=no,directories=no,top=20,left=20');">
        <?php echo $text['Feedback abgeben']; ?>
    </button>
</div>
<div class="clear">

</div>
<input type="hidden" name="lang" id="lang" value="<?php echo $text['aktiveSprache'] ?>">
<div class="page-header">
    <h3>
        <?php echo $text['configSocialHeader']; ?>
    </h3>
</div>
<table id="Posts" class="configSocialTable table">
    <tr>
        <td>
            <img src="<?php echo plugins_url('/images/twitter.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td>
            <?php
            if (empty($twitterName)) :
                ?>
                <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
                <?php
            else :
                ?>
                <input type="button" disabled="disabled" class="btn btn-success" value="<?php echo $text['aktiviert']; ?>">
            <?php
            endif;
            ?>
        </td>
        <td class="socialMeths">
            <?php
            if (!empty($twitterName)) {
                echo 'Account: ' . $twitterName;
            } else {
                echo '<a href="' . $prgTwitterConnect->registerTwitter($savedUser->UserBlogToken) . '" id="SocialNetworkTwitter" class="SocialNetwork">' . $text['Mit Twitter verbinden'] . '</a>';
            }
            ?>
        </td>
    </tr>
    <tr>
        <td>
            <img src="<?php echo plugins_url('images/facebook.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td class="socialState">
            <?php
            if (empty($facebookName)) :
                ?>
                <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
                <?php
            else :
                ?>
                <input type="button" disabled="disabled" class="btn btn-success" value="<?php echo $text['aktiviert']; ?>">
            <?php
            endif;
            ?>
        </td>
        <td class="socialMeths">
            <?php
            if (!empty($facebookName)) {
                echo 'Account: ' . $facebookName;
            } else {
                echo '<a href="http://www.pr-gateway.de/wpplugin/index.php?meth=register&type=facebook&userid=' . $savedUser->UserBlogToken . '" target="_blank" id="SocialNetworkFacebook" class="SocialNetwork">' . $text['Mit Facebook verbinden'] . '</a>';
            }
            ?>
        </td>
    </tr>
    <tr>
        <td>
            <img src="<?php echo plugins_url('images/linkedin.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td class="socialState">
            <?php
            if (empty($linkedinName)) :
                ?>
                <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
                <?php
            else :
                ?>
                <input type="button" disabled="disabled" class="btn btn-success" value="<?php echo $text['aktiviert']; ?>">
            <?php
            endif;
            ?>
        </td>
        <td class="socialMeths">
            <?php
            if (!empty($linkedinName)) {
                echo 'Account: ' . $linkedinName;
            } else {

                echo '<a href="http://www.pr-gateway.de/wpplugin/index.php?meth=register&type=linkedin&userid=' . $savedUser->UserBlogToken . '" target="_blank" id="SocialNetworkLinkedin" class="SocialNetwork">' . $text['Mit Linkedin verbinden'] . '</a>';
            }
            ?>
        </td>
    </tr>
    <tr>
        <td>
            <img src="<?php echo plugins_url('images/tumblr.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td class="socialState">
            <?php
            if (empty($tumblrName)) :
                ?>
                <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
                <?php
            else :
                ?>
                <input type="button" disabled="disabled" class="btn btn-success" value="<?php echo $text['aktiviert']; ?>">
            <?php
            endif;
            ?>
        </td>
        <td class="socialMeths">
            <?php
            if (!empty($tumblrName)) {
                echo 'Account: ' . $tumblrName;
            } else {
                echo '<a href="http://www.pr-gateway.de/wpplugin/index.php?meth=register&type=tumblr&userid=' . $savedUser->UserBlogToken . '" target="_blank" id="SocialNetworkTumblr" class="SocialNetwork">' . $text['Mit Tumblr verbinden'] . '</a>';
            }
            ?>
        </td>
    </tr>
    <tr class="socialSoonFirst">
        <td>
            <img src="<?php echo plugins_url('images/storify.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td class="socialState">
            <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
        </td>
        <td class="socialMeths">
            Coming soon
        </td>
    </tr>
    <tr class="socialSoon">
        <td>
            <img src="<?php echo plugins_url('images/pinterest.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td class="socialState">
            <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
        </td>
        <td class="socialMeths">
            Coming soon
        </td>
    </tr>
    <tr class="socialSoon">
        <td>
            <img src="<?php echo plugins_url('images/flickr.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td class="socialState">
            <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
        </td>
        <td class="socialMeths">
            Coming soon
        </td>
    </tr>
    <tr class="socialSoon">
        <td>
            <img src="<?php echo plugins_url('images/xing.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
        </td>
        <td class="socialState">
            <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
        </td>
        <td class="socialMeths">
            Coming soon
        </td>
    </tr>
    <tr class="socialSoon">
        <td><img src="<?php echo plugins_url('images/diigo.png', dirname(__FILE__)); ?>" class="socialConfigLogo"></td>
        <td class="socialState">
            <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
        </td>
        <td class="socialMeths">
            Coming soon
        </td>
    </tr>
    <tr class="socialSoon">
        <td><img src="<?php echo plugins_url('images/googleplus.png', dirname(__FILE__)); ?>" class="socialConfigLogo"></td>
        <td class="socialState">
            <input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
        </td>
        <td class="socialMeths">
            Coming soon
        </td>
    </tr>
</table>

<div id="prgFooter" class="pull-right">
    <a href="http://www.pr-gateway.de/impressum" target="_blank"><?php echo $text['Impressum']; ?></a>
    <a href="http://www.pr-gateway.de/datenschutz" target="_blank"><?php echo $text['Datenschutz']; ?></a>
</div>

<?php 

/*
<tr>
	<td>
		<img src="<?php echo plugins_url('images/googleplus.png', dirname(__FILE__)); ?>" class="socialConfigLogo">
	</td>
	<td class="socialState">
		<?php
		if (empty($googleplusName)) :
			?>
			<input type="button" disabled="disabled" class="btn btn-danger" value="<?php echo $text['deaktiviert']; ?>">
			<?php
		else :
			?>
			<input type="button" disabled="disabled" class="btn btn-success" value="<?php echo $text['aktiviert']; ?>">
		<?php
		endif;
		?>
	</td>
	<td class="socialMeths">
		<?php
		if (!empty($googleplusName)) {
			echo 'Account: ' . $googleplusName;
		} else {
			echo '<a href="http://www.pr-gateway.de/wpplugin/index.php?meth=register&type=googleplus&lang='. $savedUser->lang .'&userid=' . $savedUser->UserBlogToken . '" target="_blank" id="SocialNetworkGoogleplus" class="SocialNetwork">' . $text['Mit Googleplus verbinden'] . '</a>';
		}
		?>
	</td>
</tr>
 */