<?php
if (!isset($_GET['blogid'])) {
    exit;
}
if (!function_exists('add_action')) {
    echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
    exit;
}

$published = true;

$page_data = get_page($_GET['blogid']);

if ($page_data->post_status == 'publish' && empty($page_data->post_password)) {

    require_once dirname(__FILE__) . '/../Controller/getWpImages.php';
    require_once dirname(__FILE__) . '/../Controller/getTwitterWarrant.php';
    require_once dirname(__FILE__) . '/../Controller/getFacebookWarrant.php';
    require_once dirname(__FILE__) . '/../Controller/getLinkedinWarrant.php';
//	require_once dirname(__FILE__) . '/../Controller/getGoogleplusWarrant.php';
    require_once dirname(__FILE__) . '/../Controller/getTumblrWarrant.php';

    $prgTwitterConnect = new PRGTwitterConnect();
    $prgFacebookConnect = new PRGFacebookConnect();
    $prgLinkedinConnect = new PRGLinkedinConnect();
//	$prgGoogleplusConnect = new PRGGoogleplusConnect();
    $prgTumblrConnect = new PRGTumblrConnect();

    if (isset($_SESSION['prg_id'])) {
        $prgID = $_SESSION['prg_id'];
    } else {
        $prgID = $userExist->UserBlogToken;
    }

    $twitterRegistered = false;

    $credsTwitter = json_decode($prgTwitterConnect->verifyCredentialsTwitter($prgID));
    if (isset($credsTwitter->screen_name)) {
        $twitterRegistered = true;
    } else {
        $credsTwitterSecond = json_decode($prgTwitterConnect->verifyCredentialsTwitter($userExist->UserBlogToken));
        if (isset($credsTwitterSecond->screen_name)) {
            $twitterRegistered = true;
        }
    }

    $tumblrRegistered = false;

    $credsTumblr = json_decode($prgTumblrConnect->verifyCredentialsTumblr($prgID));
    if (isset($credsTumblr->response->user->name)) {
        $tumblrRegistered = true;
    } else {
        $credsTumblrSecond = json_decode($prgTumblrConnect->verifyCredentialsTumblr($userExist->UserBlogToken));
        if (isset($credsTumblrSecond->response->user->name)) {
            $tumblrRegistered = true;
        }
    }

    $facebookRegistered = false;
    $facebookName = '';

    $credsFacebook = json_decode($prgFacebookConnect->verifyCredentialsFacebook($prgID));
    if (isset($credsFacebook->name)) {
        $facebookRegistered = true;
        $facebookName = $credsFacebook->name;
    } else {
        $credsFacebookSecond = json_decode($prgFacebookConnect->verifyCredentialsFacebook($userExist->UserBlogToken));
        if (isset($credsFacebookSecond->name)) {
            $facebookRegistered = true;
            $facebookName = $credsFacebookSecond->name;
        }
    }

    $linkedinRegistered = false;

    $credsLinkedin = json_decode($prgLinkedinConnect->verifyCredentialsLinkedin($prgID));
    if (isset($credsLinkedin->{'first-name'})) {
        $linkedinRegistered = true;
    } else {
        $credsLinkedinSecond = json_decode($prgLinkedinConnect->verifyCredentialsLinkedin($userExist->UserBlogToken));
        if (isset($credsLinkedinSecond->{'first-name'})) {
            $linkedinRegistered = true;
        }
    }

//	$googleplusRegistered = false;
//
//	$credsGoogleplus = $prgGoogleplusConnect->verifyCredentialsGoogleplus($prgID);
//	if (!empty($credsGoogleplus)) {
//		$googleplusRegistered = true;
//	} else {
//		$credsGoogleplusSecond = $prgGoogleplusConnect->verifyCredentialsGoogleplus($userExist->UserBlogToken);
//		if (!empty($credsGoogleplusSecond)) {
//			$googleplusRegistered = true;
//		}
//	}
} else {
    $published = false;
}
if ($userExist->lang == 'de') {
    include dirname(__FILE__) . '/../languages/de.php';
} elseif ($userExist->lang == 'en') {
    include dirname(__FILE__) . '/../languages/en.php';
}
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title><?php echo $text['PR-Gateway Connect - Versand an Soziale Netzwerke']; ?></title>
        <link rel="stylesheet" id="Bootstrap-css"  href="<?php echo plugins_url('css/bootstrap.min.3_0_3.css', dirname(__FILE__)); ?>" type="text/css" media="all" />
        <link rel="stylesheet" id="PRG-SN-Form-css"  href="<?php echo plugins_url('css/prg_connect_social_form.1_0.css', dirname(__FILE__)); ?>" type="text/css" media="all" />
        <script type="text/javascript" src="<?php echo plugins_url('js/jquery.min.1_7.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/prg_connect_social_form.1_0.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/bootstrap.min.3_0_3.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/jquery.validate.min.1_9.js', dirname(__FILE__)); ?>"></script>
        <link rel="stylesheet" id="FancyBoxStyle-css"  href="<?php echo plugins_url('css/jquery.fancybox-1_3_4.css', dirname(__FILE__)); ?>" type="text/css" media="all" />
        <script type="text/javascript" src="<?php echo plugins_url('js/jquery.fancybox-1_3_4.pack.js', dirname(__FILE__)); ?>"></script>
        <?php
        $agent = $_SERVER['HTTP_USER_AGENT'];
        if (strlen(strstr($agent, "Firefox")) > 0) :
            ?>
            <style>
                #preTwitter { padding: 8px 13px 6px !important;}
                #preLinkedin { padding: 8px 13px 6px !important;}
            </style>
            <?php
        elseif (strlen(strstr($agent, "Opera")) > 0) :
            ?>
            <style>
                #preTwitter { padding: 6px 13px !important;}
                #preLinkedin { padding: 6px 13px !important;}
            </style>
            <?php
        elseif (strlen(strstr($agent, "Chrome")) > 0) :
            ?>
            <style> 
                #preTwitter { padding: 8px 13px 6px !important;}
                #preLinkedin { padding: 8px 13px 6px !important;}
            </style>
            <?php
        endif;
        ?>
    </head>
    <body>
        <input type="hidden" name="lang" id="lang" value="<?php echo $text['aktiveSprache'] ?>" />
        <?php
        if (!$published) :
            echo '<input type="hidden" value="1" id="closeFB">
	</body>
</html>';
            exit;
        endif;
        ?>
        <div class="page-header">
            <h2>
                <?php echo $text['Übermittlung an soziale Netzwerke']; ?>
            </h2>
        </div>
        <div>
            <form method="POST" id="prgConnect_sendSocial" name="prgConnect_sendSocial" enctype="multipart/form-data">
                <fieldset>
                    <div id="twitterPostArea">
                        <div class="col-md-12">
                            <div class="col-md-12">
                                <h3>
                                    <span class="label label-primary"><input <?php echo ($twitterRegistered == false) ? 'disabled="disabled"' : 'checked="checked"' ?> id="checkTwitter" type="checkbox" name="checkTwitter" /> Twitter</span>
                                    <img id="statusTwitterLoading" alt="twitLoad" src="<?php echo plugins_url('images/ajax-loader.gif', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusTwitterSucc" alt="twitSucc" src="<?php echo plugins_url('images/OK_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusTwitterFail" alt="twitFail" src="<?php echo plugins_url('images/Remove_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <small class="hider"><?php echo $text['kein Bildversand möglich | max. 140 Zeichen']; ?></small>
                                    <span id="twitterStatusSpan" class="hider">
                                        <?php if ($twitterRegistered == false) : ?>
                                            <small><?php echo $text['Bitte Einstellungen für soziale Netzwerke vornehmen'] ?></small>
                                        <?php endif;
                                        ?>
                                    </span>
                                </h3>
                            </div>
                        </div>
                        <div class="col-md-12 hider">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <pre id="preTwitter" class="col-md-12"></pre>
                                    <textarea <?php echo ($twitterRegistered == false) ? 'readonly="readonly" style="transparent; color: rgb(172, 168, 153); background-color: rgb(235, 235, 228);"' : ''; ?> id="prg_twitter" name="prg_twitter" class="form-control col-md-11" placeholder="<?php echo $text['Meldung an Twitter']; ?>"><?php echo $page_data->post_title; ?></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="facebookPostArea">
                        <div class="col-md-12">
                            <div class="col-md-12">
                                <h3>
                                    <span class="label label-primary"><input <?php echo ($facebookRegistered == false) ? 'disabled="disabled"' : 'checked="checked"' ?> id="checkFacebook" type="checkbox" name="checkFacebook" />  Facebook</span>
                                    <img id="statusFacebookLoading" alt="faceLoad" src="<?php echo plugins_url('images/ajax-loader.gif', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusFacebookSucc" alt="faceSucc" src="<?php echo plugins_url('images/OK_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusFacebookFail" alt="faceFail" src="<?php echo plugins_url('images/Remove_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <span id="facebookStatusSpan" class="hider">
                                        <?php if ($facebookRegistered == false) : ?>
                                            <small><?php echo $text['Bitte Einstellungen für soziale Netzwerke vornehmen'] ?></small>
                                        <?php endif;
                                        ?>
                                    </span>
                                    <a id="btnPreviewFacebook" class="hider pull-right btn btn-xs btn-success"><?php echo $text['Vorschau Facebook']; ?></a>
                                </h3>
                            </div>
                        </div>
                        <div class="col-md-12 hider">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <textarea <?php echo ($facebookRegistered == false) ? 'readonly="readonly" style="transparent; color: rgb(172, 168, 153); background-color: rgb(235, 235, 228);"' : ''; ?> id="prg_facebook" name="prg_facebook" class="form-control col-md-10" placeholder="<?php echo $text['Meldung an Facebook'] ?>"><?php echo str_replace('[gallery]', '', trim(strip_tags($page_data->post_content))); ?></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="linkedinPostArea">
                        <div class="col-md-12">
                            <div class="col-md-12">
                                <h3>
                                    <span class="label label-primary"><input <?php echo ($linkedinRegistered == false) ? 'disabled="disabled"' : 'checked="checked"' ?> id="checkLinkedin" type="checkbox" name="checkLinkedin" /> LinkedIn</span>
                                    <img id="statusLinkedinLoading" alt="twitLoad" src="<?php echo plugins_url('images/ajax-loader.gif', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusLinkedinSucc" alt="twitSucc" src="<?php echo plugins_url('images/OK_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusLinkedinFail" alt="twitFail" src="<?php echo plugins_url('images/Remove_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <small class="hider"><?php echo $text['max. 600 Zeichen']; ?></small>
                                    <span id="linkedinStatusSpan" class="hider">
                                        <?php if ($linkedinRegistered == false) : ?>
                                            <small><?php echo $text['Bitte Einstellungen für soziale Netzwerke vornehmen'] ?></small>
                                        <?php endif;
                                        ?>
                                    </span>
                                </h3>
                            </div>
                        </div>
                        <div class="col-md-12 hider">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <pre id="preLinkedin" class="col-md-12"></pre>
                                    <textarea <?php echo ($linkedinRegistered == false) ? 'readonly="readonly" style="transparent; color: rgb(172, 168, 153); background-color: rgb(235, 235, 228);"' : ''; ?> id="prg_linkedin" name="prg_linkedin" class="form-control col-md-11" placeholder="<?php echo $text['Meldung an Linkedin']; ?>"><?php echo $page_data->post_title; ?></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="tumblrPostArea">
                        <div class="col-md-12">
                            <div class="col-md-12">
                                <h3>
                                    <span class="label label-primary"><input <?php echo ($tumblrRegistered == false) ? 'disabled="disabled"' : 'checked="checked"' ?> id="checkTumblr" type="checkbox" name="checkTumblr" /> Tumblr</span>
                                    <img id="statusTumblrLoading" alt="tumblrLoad" src="<?php echo plugins_url('images/ajax-loader.gif', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusTumblrSucc" alt="tumblrSucc" src="<?php echo plugins_url('images/OK_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <img id="statusTumblrFail" alt="tumblrFail" src="<?php echo plugins_url('images/Remove_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
                                    <span id="tumblrStatusSpan" class="hider">
                                        <?php if ($tumblrRegistered == false) : ?>
                                            <small><?php echo $text['Bitte Einstellungen für soziale Netzwerke vornehmen'] ?></small>
                                        <?php endif;
                                        ?>
                                    </span>
                                </h3>
                            </div>
                        </div>
                        <div class="col-md-12 hider">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <textarea <?php echo ($tumblrRegistered == false) ? 'readonly="readonly" style="transparent; color: rgb(172, 168, 153); background-color: rgb(235, 235, 228);"' : ''; ?> id="prg_tumblr" name="prg_tumblr" class="form-control col-md-11" placeholder="<?php echo $text['Meldung an Tumblr']; ?>"><?php echo str_replace('[gallery]', '', trim(strip_tags($page_data->post_content))); ?></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="bottomPublishForm" class="hider">
                        <div id="imgChose" class="col-md-12">
                            <div class="col-md-12">
                                <h4>
                                    <span class="label label-primary"><?php echo $text['Bild auswählen']; ?></span>
                                    <small><?php echo $text['Erlaubte Bildformate'] ?>: .jpg, .png</small>
                                </h4>
                            </div>
                            <div class="col-md-8">
                                <div id="divImg1" class="col-md-3 picList">
                                    <label class="col-md-12" for="img0"><img class="imgs" alt="placeholder" src="<?php echo plugins_url('/images/placeholder.png', dirname(__FILE__)); ?>"></label>
                                    <div class="text-center">
                                        <input checked="checked" id="img0" type="radio" name="image" value="">
                                    </div>
                                </div>
                                <?php
                                $images = display_images_in_list('full', $page_data->ID, true);
                                if ($images) :
                                    $i = 0;
                                    foreach ($images[0] as $key => $image) :
                                        $i++;
                                        ?>
                                        <div class="col-md-3 picList">
                                            <label class="col-md-12" for="img<?php echo $i + 1; ?>"><img alt="wordpressPic" class="imgs" src="<?php echo $images[1][$key][0]; ?>"></label>
                                            <div class="text-center">
                                                <input class="newImg" id="img<?php echo $i + 1; ?>" type="radio" name="image" value="<?php echo $image[0]; ?>">
                                            </div>
                                        </div>
                                        <?php
                                    endforeach;
                                endif;
                                ?>
                            </div>
                        </div>
                        <div class="col-md-12">

                        </div>
                    </div>
                    <button id="btnSubmitSocial" class="btn btn-primary" data-color="primary"><?php echo $text['Meldung an soziale Netzwerke senden'] ?></button>
                </fieldset>
                <div id="clearbot" class="hider">

                </div>
                <input type="hidden" name="shortUrl" id="shortUrl" value="<?php echo $page_data->guid; ?>">
                <input type="hidden" name="blogid" value="<?php echo $_GET['blogid']; ?>">
                <input type="hidden" name="postTitle" id="postTitle" value="<?php echo $page_data->post_title; ?>">
            </form>
            <input type="hidden" name="facebookName" id="facebookName" value="<?php echo $facebookName; ?>">

        </div>
    </body>
</html>

<?php 

/*
<div id="googleplusPostArea">
	<div class="col-md-12">
		<div class="col-md-12">
			<h3>
				<span class="label label-primary"><input <?php echo ($googleplusRegistered == false) ? 'disabled="disabled"' : 'checked="checked"' ?> id="checkGoogleplus" type="checkbox" name="checkGoogleplus" /> Google+</span>
				<img id="statusGoogleplusLoading" alt="googLoad" src="<?php echo plugins_url('images/ajax-loader.gif', dirname(__FILE__)); ?>" style="display:none;width:30px;">
				<img id="statusGoogleplusSucc" alt="googSucc" src="<?php echo plugins_url('images/OK_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
				<img id="statusGoogleplusFail" alt="googFail" src="<?php echo plugins_url('images/Remove_Button.png', dirname(__FILE__)); ?>" style="display:none;width:30px;">
				<span id="googleplusStatusSpan" class="hider">
					<?php if ($googleplusRegistered == false) : ?>
						<small><?php echo $text['Bitte Einstellungen für soziale Netzwerke vornehmen'] ?></small>
					<?php endif;
					?>
				</span>
			</h3>
		</div>
	</div>
	<div class="col-md-12 hider">
		<div class="form-group">
			<div class="col-md-12">
				<textarea <?php echo ($googleplusRegistered == false) ? 'readonly="readonly" style="transparent; color: rgb(172, 168, 153); background-color: rgb(235, 235, 228);"' : ''; ?> id="prg_googleplus" name="prg_googleplus" class="form-control col-md-11" placeholder="<?php echo $text['Meldung an Googleplus']; ?>"><?php echo str_replace('[gallery]', '', trim(strip_tags($page_data->post_content))); ?></textarea>
			</div>
		</div>
	</div>
</div>
 */