<?php

function display_images_in_list($size = 'thumbnail', $id = 0, $socialNetwork = false) {
	$upload_dir = wp_upload_dir();
	$uploadir = str_replace('\\', '/', $upload_dir['basedir']);
	if (substr($uploadir, strlen($uploadir) - 1, 1) == '/') {
		$Folder = explode('/', $uploadir);
		$lastFolder = $Folder[count($Folder) - 2];
	} else {
		$Folder = explode('/', $uploadir);
		$lastFolder = $Folder[count($Folder) - 1];
	}
	$img = array();
	$img_large = array();
	$img_medium = array();
	$img_small = array();
	$images = get_posts(array(
		'post_parent' => $id,
		'post_type' => 'attachment',
		'numberposts' => -1, // show all
		'post_status' => null,
		'post_mime_type' => 'image',
		'orderby' => 'menu_order',
		'order' => 'ASC',
	));
	if (isset($images)) {
		$intImages = 0;
		foreach ($images as $image) {

			$norm = wp_get_attachment_image_src($image->ID, $size);
			if (strpos($norm[0], '.jpg') || strpos($norm[0], '.jpeg')) {
				$intImages++;
				$img[] = wp_get_attachment_image_src($image->ID, $size);
				$img_large[] = wp_get_attachment_image_src($image->ID, 'large');
				$img_medium[] = wp_get_attachment_image_src($image->ID, 'medium');
				$img_small[] = wp_get_attachment_image_src($image->ID, 'thumbnail');
			} elseif ($socialNetwork && strpos($norm[0], '.png')) {
				$intImages++;
				$img[] = wp_get_attachment_image_src($image->ID, $size);
				$img_large[] = wp_get_attachment_image_src($image->ID, 'large');
				$img_medium[] = wp_get_attachment_image_src($image->ID, 'medium');
				$img_small[] = wp_get_attachment_image_src($image->ID, 'thumbnail');
			}
			if ($intImages == 11) {
				break;
			}
		}
		$i = 0;
		foreach ($img as $k => $v) {
			if (filesize($uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($v[0], (strpos($v[0], $lastFolder) + strlen($lastFolder) + 1))) <= 1048576) {
				$img[$k][3] = $uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($v[0], (strpos($v[0], $lastFolder) + strlen($lastFolder) + 1));
			} elseif (filesize($uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($img_large[$i][0], (strpos($img_large[$i][0], $lastFolder) + strlen($lastFolder) + 1))) <= 1048576) {
				$img[$k][3] = $uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($img_large[$i][0], (strpos($img_large[$i][0], $lastFolder) + strlen($lastFolder) + 1));
			} elseif (filesize($uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($img_medium[$i][0], (strpos($img_medium[$i][0], $lastFolder) + strlen($lastFolder) + 1))) <= 1048576) {
				$img[$k][3] = $uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($img_medium[$i][0], (strpos($img_medium[$i][0], $lastFolder) + strlen($lastFolder) + 1));
			} elseif (filesize($uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($img_small[$i][0], (strpos($img_small[$i][0], $lastFolder) + strlen($lastFolder) + 1))) <= 1048576) {
				$img[$k][3] = $uploadir . ((substr($uploadir, strlen($uploadir) - 1, 1) != '/') ? '/' : '') . substr($img_small[$i][0], (strpos($img_small[$i][0], $lastFolder) + strlen($lastFolder) + 1));
			}
			$i++;
		}

		return array($img, $img_small);
	}
	return false;
}