<?php

if (!function_exists('add_action')) {
	exit;
}

if (empty($_POST) || $_POST['checkLinkedin'] != 'on') {
	return false;
}


if(strlen($_POST['prg_linkedin'])> 700) {
	return false;
}

$message = $_POST['prg_linkedin'];
$title = $_POST['postTitle'];
$url = $_POST['shortUrl'];
$imageUrl = isset ($_POST['image']) ? $_POST['image'] : '';

$xml = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><share><comment>$message</comment><content><title>$title</title><submitted-url>$url</submitted-url><submitted-image-url>$imageUrl</submitted-image-url></content><visibility><code>anyone</code></visibility></share>";

global $wpdb;
$currentUserID = get_current_user_id();

$sql = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$userExist = $wpdb->get_row($sql);

if (isset($_SESSION['prg_id'])) {
	$prgID = $_SESSION['prg_id'];
} else {
	$prgID = $userExist->UserBlogToken;
}
require_once 'getLinkedinWarrant.php';
$prgLinkedinConnect = new PRGLinkedinConnect();

$credsLinkedin = json_decode($prgLinkedinConnect->verifyCredentialsLinkedin($prgID));
if (isset($credsLinkedin->{'first-name'})) {
	$userId = $prgID;
} else {
	$credsLinkedinSecond = json_decode($prgLinkedinConnect->verifyCredentialsLinkedin($userExist->UserBlogToken));
	if (isset($credsLinkedinSecond->{'first-name'})) {
		$userId = $userExist->UserBlogToken;
	}
}
$post = array(
	'meth' => 'update',
	'message' => $xml,
	'userid' => $userId,
);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'http://www.pr-gateway.de/wpplugin/index.php?type=linkedin');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

echo $result = curl_exec($ch);
curl_close($ch);
$resultObj = json_decode($result);

if (!is_array($resultObj)) {
	$sqlCheckIsset = $wpdb->prepare("SELECT `id` FROM `prg_connect_sent` WHERE `wpid` = %d", $_POST['blogid']);
	$issetVar = $wpdb->get_var($sqlCheckIsset);
	if (!$issetVar) {
		$wpdb->insert('prg_connect_sent', array('wpid' => $_POST['blogid'], 'linkedinsent' => 1));
	} else {
		$wpdb->update('prg_connect_sent', array('wpid' => $_POST['blogid'], 'linkedinsent' => 1), array('wpid' => $_POST['blogid']));
	}
}
