<?php

if (!function_exists('add_action')) {
	exit;
}

if (empty($_POST) || $_POST['checkTumblr'] != 'on') {
	exit;
}
$message = $_POST['prg_tumblr'];

global $wpdb;
$currentUserID = get_current_user_id();

$sql = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$userExist = $wpdb->get_row($sql);

if (isset($_SESSION['prg_id'])) {
	$prgID = $_SESSION['prg_id'];
} else {
	$prgID = $userExist->UserBlogToken;
}
require_once 'getTumblrWarrant.php';
$prgTumblrConnect = new PRGTumblrConnect();

$credsTumblr = json_decode($prgTumblrConnect->verifyCredentialsTumblr($prgID));
if (isset($credsTumblr->response->user->name)) {
	$userId = $prgID;
} else {
	$credsTumblrSecond = json_decode($prgTumblrConnect->verifyCredentialsTumblr($userExist->UserBlogToken));
	if (isset($credsTumblrSecond->response->user->name)) {
		$userId = $userExist->UserBlogToken;
	}
}
$post = array(
	'meth' => 'update',
	'message' => $message,
	'userid' => $userId,
	'link' => $_POST['shortUrl'],
);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'http://www.pr-gateway.de/wpplugin/index.php?type=tumblr');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

echo $result = curl_exec($ch);
curl_close($ch);
$resultObj = json_decode($result);

if (!is_array($resultObj)) {
	$sqlCheckIsset = $wpdb->prepare("SELECT `id` FROM `prg_connect_sent` WHERE `wpid` = %d", $_POST['blogid']);
	$issetVar = $wpdb->get_var($sqlCheckIsset);
	if (!$issetVar) {
		$wpdb->insert('prg_connect_sent', array('wpid' => $_POST['blogid'], 'tumblrsent' => 1));
	} else {
		$wpdb->update('prg_connect_sent', array('wpid' => $_POST['blogid'], 'tumblrsent' => 1), array('wpid' => $_POST['blogid']));
	}
}
